
From: Andrey Panin <pazke@donpac.ru>

Attached patch removes #ifdef CONFIG_WATCHDOG_NOWAYOUT mess duplicated in
almost every watchdog driver and replaces it with common define in
linux/watchdog.h.

Signed-off-by: Andrey Panin <pazke@donpac.ru>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/ipmi/ipmi_watchdog.c    |    6 +-----
 drivers/char/watchdog/acquirewdt.c   |    7 +------
 drivers/char/watchdog/advantechwdt.c |    7 +------
 drivers/char/watchdog/alim1535_wdt.c |    7 +------
 drivers/char/watchdog/alim7101_wdt.c |    7 +------
 drivers/char/watchdog/eurotechwdt.c  |    7 +------
 drivers/char/watchdog/i8xx_tco.c     |    7 +------
 drivers/char/watchdog/ib700wdt.c     |    7 +------
 drivers/char/watchdog/indydog.c      |    7 +------
 drivers/char/watchdog/ixp2000_wdt.c  |    6 +-----
 drivers/char/watchdog/ixp4xx_wdt.c   |    6 +-----
 drivers/char/watchdog/machzwd.c      |    7 +------
 drivers/char/watchdog/mixcomwd.c     |    7 +------
 drivers/char/watchdog/pcwd.c         |    7 +------
 drivers/char/watchdog/pcwd_pci.c     |    7 +------
 drivers/char/watchdog/pcwd_usb.c     |    7 +------
 drivers/char/watchdog/s3c2410_wdt.c  |    7 +------
 drivers/char/watchdog/sa1100_wdt.c   |    6 +-----
 drivers/char/watchdog/sbc60xxwdt.c   |    7 +------
 drivers/char/watchdog/sc1200wdt.c    |    7 +------
 drivers/char/watchdog/sc520_wdt.c    |    7 +------
 drivers/char/watchdog/scx200_wdt.c   |    6 +-----
 drivers/char/watchdog/shwdt.c        |    6 +-----
 drivers/char/watchdog/softdog.c      |    7 +------
 drivers/char/watchdog/w83627hf_wdt.c |    7 +------
 drivers/char/watchdog/w83877f_wdt.c  |    7 +------
 drivers/char/watchdog/wafer5823wdt.c |    7 +------
 drivers/char/watchdog/wdt.c          |    7 +------
 drivers/char/watchdog/wdt977.c       |    7 +------
 drivers/char/watchdog/wdt_pci.c      |    7 +------
 drivers/s390/char/vmwatchdog.c       |    6 +-----
 include/linux/watchdog.h             |   10 ++++++++++
 32 files changed, 41 insertions(+), 179 deletions(-)

diff -puN drivers/char/ipmi/ipmi_watchdog.c~consolidate-config_watchdog_nowayout-handling drivers/char/ipmi/ipmi_watchdog.c
--- 25/drivers/char/ipmi/ipmi_watchdog.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/ipmi/ipmi_watchdog.c	2005-06-27 12:01:04.000000000 -0700
@@ -131,11 +131,7 @@
 #define	WDIOC_GET_PRETIMEOUT     _IOW(WATCHDOG_IOCTL_BASE, 22, int)
 #endif
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout;
-#endif
+static int nowayout = WATCHDOG_NOWAYOUT;
 
 static ipmi_user_t watchdog_user = NULL;
 
diff -puN drivers/char/watchdog/acquirewdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/acquirewdt.c
--- 25/drivers/char/watchdog/acquirewdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/acquirewdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -82,12 +82,7 @@ static int wdt_start = 0x443;
 module_param(wdt_start, int, 0);
 MODULE_PARM_DESC(wdt_start, "Acquire WDT 'start' io port (default 0x443)");
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/advantechwdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/advantechwdt.c
--- 25/drivers/char/watchdog/advantechwdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/advantechwdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -73,12 +73,7 @@ static int timeout = WATCHDOG_TIMEOUT;	/
 module_param(timeout, int, 0);
 MODULE_PARM_DESC(timeout, "Watchdog timeout in seconds. 1<= timeout <=63, default=" __MODULE_STRING(WATCHDOG_TIMEOUT) ".");
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/alim1535_wdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/alim1535_wdt.c
--- 25/drivers/char/watchdog/alim1535_wdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/alim1535_wdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -38,12 +38,7 @@ static int timeout = WATCHDOG_TIMEOUT;
 module_param(timeout, int, 0);
 MODULE_PARM_DESC(timeout, "Watchdog timeout in seconds. (0<timeout<18000, default=" __MODULE_STRING(WATCHDOG_TIMEOUT) ")");
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/alim7101_wdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/alim7101_wdt.c
--- 25/drivers/char/watchdog/alim7101_wdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/alim7101_wdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -75,12 +75,7 @@ static unsigned long wdt_is_open;
 static char wdt_expect_close;
 static struct pci_dev *alim7101_pmu;
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/eurotechwdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/eurotechwdt.c
--- 25/drivers/char/watchdog/eurotechwdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/eurotechwdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -72,12 +72,7 @@ static char *ev = "int";
 
 #define WDT_TIMEOUT		60                /* 1 minute */
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/i8xx_tco.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/i8xx_tco.c
--- 25/drivers/char/watchdog/i8xx_tco.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/i8xx_tco.c	2005-06-27 12:01:04.000000000 -0700
@@ -105,12 +105,7 @@ static int heartbeat = WATCHDOG_HEARTBEA
 module_param(heartbeat, int, 0);
 MODULE_PARM_DESC(heartbeat, "Watchdog heartbeat in seconds. (2<heartbeat<39, default=" __MODULE_STRING(WATCHDOG_HEARTBEAT) ")");
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/ib700wdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/ib700wdt.c
--- 25/drivers/char/watchdog/ib700wdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/ib700wdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -117,12 +117,7 @@ static int wd_times[] = {
 
 static int wd_margin = WD_TIMO;
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/indydog.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/indydog.c
--- 25/drivers/char/watchdog/indydog.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/indydog.c	2005-06-27 12:01:04.000000000 -0700
@@ -29,14 +29,9 @@
 #define PFX "indydog: "
 static int indydog_alive;
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
 #define WATCHDOG_TIMEOUT 30		/* 30 sec default timeout */
 
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/ixp2000_wdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/ixp2000_wdt.c
--- 25/drivers/char/watchdog/ixp2000_wdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/ixp2000_wdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -30,11 +30,7 @@
 #include <asm/hardware.h>
 #include <asm/uaccess.h>
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
+static int nowayout = WATCHDOG_NOWAYOUT;
 static unsigned int heartbeat = 60;	/* (secs) Default is 1 minute */
 static unsigned long wdt_status;
 
diff -puN drivers/char/watchdog/ixp4xx_wdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/ixp4xx_wdt.c
--- 25/drivers/char/watchdog/ixp4xx_wdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/ixp4xx_wdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -27,11 +27,7 @@
 #include <asm/hardware.h>
 #include <asm/uaccess.h>
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
+static int nowayout = WATCHDOG_NOWAYOUT;
 static int heartbeat = 60;	/* (secs) Default is 1 minute */
 static unsigned long wdt_status;
 static unsigned long boot_status;
diff -puN drivers/char/watchdog/machzwd.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/machzwd.c
--- 25/drivers/char/watchdog/machzwd.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/machzwd.c	2005-06-27 12:01:04.000000000 -0700
@@ -94,12 +94,7 @@ MODULE_DESCRIPTION("MachZ ZF-Logic Watch
 MODULE_LICENSE("GPL");
 MODULE_ALIAS_MISCDEV(WATCHDOG_MINOR);
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/mixcomwd.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/mixcomwd.c
--- 25/drivers/char/watchdog/mixcomwd.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/mixcomwd.c	2005-06-27 12:01:04.000000000 -0700
@@ -62,12 +62,7 @@ static int mixcomwd_timer_alive;
 static struct timer_list mixcomwd_timer = TIMER_INITIALIZER(NULL, 0, 0);
 static char expect_close;
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/pcwd.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/pcwd.c
--- 25/drivers/char/watchdog/pcwd.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/pcwd.c	2005-06-27 12:01:04.000000000 -0700
@@ -146,12 +146,7 @@ static int heartbeat = WATCHDOG_HEARTBEA
 module_param(heartbeat, int, 0);
 MODULE_PARM_DESC(heartbeat, "Watchdog heartbeat in seconds. (2<=heartbeat<=7200, default=" __MODULE_STRING(WATCHDOG_HEARTBEAT) ")");
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/pcwd_pci.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/pcwd_pci.c
--- 25/drivers/char/watchdog/pcwd_pci.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/pcwd_pci.c	2005-06-27 12:01:04.000000000 -0700
@@ -103,12 +103,7 @@ static int heartbeat = WATCHDOG_HEARTBEA
 module_param(heartbeat, int, 0);
 MODULE_PARM_DESC(heartbeat, "Watchdog heartbeat in seconds. (0<heartbeat<65536, default=" __MODULE_STRING(WATCHDOG_HEARTBEAT) ")");
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/pcwd_usb.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/pcwd_usb.c
--- 25/drivers/char/watchdog/pcwd_usb.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/pcwd_usb.c	2005-06-27 12:01:04.000000000 -0700
@@ -79,12 +79,7 @@ static int heartbeat = WATCHDOG_HEARTBEA
 module_param(heartbeat, int, 0);
 MODULE_PARM_DESC(heartbeat, "Watchdog heartbeat in seconds. (0<heartbeat<65536, default=" __MODULE_STRING(WATCHDOG_HEARTBEAT) ")");
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/s3c2410_wdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/s3c2410_wdt.c
--- 25/drivers/char/watchdog/s3c2410_wdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/s3c2410_wdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -63,12 +63,7 @@
 #define CONFIG_S3C2410_WATCHDOG_ATBOOT		(0)
 #define CONFIG_S3C2410_WATCHDOG_DEFAULT_TIME	(15)
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 static int tmr_margin	= CONFIG_S3C2410_WATCHDOG_DEFAULT_TIME;
 static int tmr_atboot	= CONFIG_S3C2410_WATCHDOG_ATBOOT;
 static int soft_noboot	= 0;
diff -puN drivers/char/watchdog/sa1100_wdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/sa1100_wdt.c
--- 25/drivers/char/watchdog/sa1100_wdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/sa1100_wdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -42,11 +42,7 @@ static unsigned long sa1100wdt_users;
 static int expect_close;
 static int pre_margin;
 static int boot_status;
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
+static int nowayout = WATCHDOG_NOWAYOUT;
 
 /*
  *	Allow only one person to hold it open
diff -puN drivers/char/watchdog/sbc60xxwdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/sbc60xxwdt.c
--- 25/drivers/char/watchdog/sbc60xxwdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/sbc60xxwdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -98,12 +98,7 @@ static int timeout = WATCHDOG_TIMEOUT;	/
 module_param(timeout, int, 0);
 MODULE_PARM_DESC(timeout, "Watchdog timeout in seconds. (1<=timeout<=3600, default=" __MODULE_STRING(WATCHDOG_TIMEOUT) ")");
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/sc1200wdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/sc1200wdt.c
--- 25/drivers/char/watchdog/sc1200wdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/sc1200wdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -91,12 +91,7 @@ MODULE_PARM_DESC(io, "io port");
 module_param(timeout, int, 0);
 MODULE_PARM_DESC(timeout, "range is 0-255 minutes, default is 1");
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/sc520_wdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/sc520_wdt.c
--- 25/drivers/char/watchdog/sc520_wdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/sc520_wdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -94,12 +94,7 @@ static int timeout = WATCHDOG_TIMEOUT;	/
 module_param(timeout, int, 0);
 MODULE_PARM_DESC(timeout, "Watchdog timeout in seconds. (1<=timeout<=3600, default=" __MODULE_STRING(WATCHDOG_TIMEOUT) ")");
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/scx200_wdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/scx200_wdt.c
--- 25/drivers/char/watchdog/scx200_wdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/scx200_wdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -39,15 +39,11 @@ MODULE_DESCRIPTION("NatSemi SCx200 Watch
 MODULE_LICENSE("GPL");
 MODULE_ALIAS_MISCDEV(WATCHDOG_MINOR);
 
-#ifndef CONFIG_WATCHDOG_NOWAYOUT
-#define CONFIG_WATCHDOG_NOWAYOUT 0
-#endif
-
 static int margin = 60;		/* in seconds */
 module_param(margin, int, 0);
 MODULE_PARM_DESC(margin, "Watchdog margin in seconds");
 
-static int nowayout = CONFIG_WATCHDOG_NOWAYOUT;
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Disable watchdog shutdown on close");
 
diff -puN drivers/char/watchdog/shwdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/shwdt.c
--- 25/drivers/char/watchdog/shwdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/shwdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -75,11 +75,7 @@ static unsigned long next_heartbeat;
 #define WATCHDOG_HEARTBEAT 30			/* 30 sec default heartbeat */
 static int heartbeat = WATCHDOG_HEARTBEAT;	/* in seconds */
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
+static int nowayout = WATCHDOG_NOWAYOUT;
 
 /**
  * 	sh_wdt_start - Start the Watchdog
diff -puN drivers/char/watchdog/softdog.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/softdog.c
--- 25/drivers/char/watchdog/softdog.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/softdog.c	2005-06-27 12:01:04.000000000 -0700
@@ -56,12 +56,7 @@ static int soft_margin = TIMER_MARGIN;	/
 module_param(soft_margin, int, 0);
 MODULE_PARM_DESC(soft_margin, "Watchdog soft_margin in seconds. (0<soft_margin<65536, default=" __MODULE_STRING(TIMER_MARGIN) ")");
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/w83627hf_wdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/w83627hf_wdt.c
--- 25/drivers/char/watchdog/w83627hf_wdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/w83627hf_wdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -54,12 +54,7 @@ static int timeout = WATCHDOG_TIMEOUT;	/
 module_param(timeout, int, 0);
 MODULE_PARM_DESC(timeout, "Watchdog timeout in seconds. 1<= timeout <=63, default=" __MODULE_STRING(WATCHDOG_TIMEOUT) ".");
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/w83877f_wdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/w83877f_wdt.c
--- 25/drivers/char/watchdog/w83877f_wdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/w83877f_wdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -85,12 +85,7 @@ module_param(timeout, int, 0);
 MODULE_PARM_DESC(timeout, "Watchdog timeout in seconds. (1<=timeout<=3600, default=" __MODULE_STRING(WATCHDOG_TIMEOUT) ")");
 
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/wafer5823wdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/wafer5823wdt.c
--- 25/drivers/char/watchdog/wafer5823wdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/wafer5823wdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -63,12 +63,7 @@ static int timeout = WD_TIMO;  /* in sec
 module_param(timeout, int, 0);
 MODULE_PARM_DESC(timeout, "Watchdog timeout in seconds. 1<= timeout <=255, default=" __MODULE_STRING(WD_TIMO) ".");
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/wdt977.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/wdt977.c
--- 25/drivers/char/watchdog/wdt977.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/wdt977.c	2005-06-27 12:01:04.000000000 -0700
@@ -53,12 +53,7 @@ MODULE_PARM_DESC(timeout,"Watchdog timeo
 module_param(testmode, int, 0);
 MODULE_PARM_DESC(testmode,"Watchdog testmode (1 = no reboot), default=0");
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/wdt.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/wdt.c
--- 25/drivers/char/watchdog/wdt.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/wdt.c	2005-06-27 12:01:04.000000000 -0700
@@ -63,12 +63,7 @@ static int wd_heartbeat;
 module_param(heartbeat, int, 0);
 MODULE_PARM_DESC(heartbeat, "Watchdog heartbeat in seconds. (0<heartbeat<65536, default=" __MODULE_STRING(WD_TIMO) ")");
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/char/watchdog/wdt_pci.c~consolidate-config_watchdog_nowayout-handling drivers/char/watchdog/wdt_pci.c
--- 25/drivers/char/watchdog/wdt_pci.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/char/watchdog/wdt_pci.c	2005-06-27 12:01:04.000000000 -0700
@@ -89,12 +89,7 @@ static int wd_heartbeat;
 module_param(heartbeat, int, 0);
 MODULE_PARM_DESC(heartbeat, "Watchdog heartbeat in seconds. (0<heartbeat<65536, default=" __MODULE_STRING(WD_TIMO) ")");
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int nowayout = 1;
-#else
-static int nowayout = 0;
-#endif
-
+static int nowayout = WATCHDOG_NOWAYOUT;
 module_param(nowayout, int, 0);
 MODULE_PARM_DESC(nowayout, "Watchdog cannot be stopped once started (default=CONFIG_WATCHDOG_NOWAYOUT)");
 
diff -puN drivers/s390/char/vmwatchdog.c~consolidate-config_watchdog_nowayout-handling drivers/s390/char/vmwatchdog.c
--- 25/drivers/s390/char/vmwatchdog.c~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/drivers/s390/char/vmwatchdog.c	2005-06-27 12:01:04.000000000 -0700
@@ -23,11 +23,7 @@
 static char vmwdt_cmd[MAX_CMDLEN] = "IPL";
 static int vmwdt_conceal;
 
-#ifdef CONFIG_WATCHDOG_NOWAYOUT
-static int vmwdt_nowayout = 1;
-#else
-static int vmwdt_nowayout = 0;
-#endif
+static int vmwdt_nowayout = WATCHDOG_NOWAYOUT;
 
 MODULE_LICENSE("GPL");
 MODULE_AUTHOR("Arnd Bergmann <arndb@de.ibm.com>");
diff -puN include/linux/watchdog.h~consolidate-config_watchdog_nowayout-handling include/linux/watchdog.h
--- 25/include/linux/watchdog.h~consolidate-config_watchdog_nowayout-handling	2005-06-27 12:01:04.000000000 -0700
+++ 25-akpm/include/linux/watchdog.h	2005-06-27 12:01:04.000000000 -0700
@@ -47,4 +47,14 @@ struct watchdog_info {
 #define	WDIOS_ENABLECARD	0x0002	/* Turn on the watchdog timer */
 #define	WDIOS_TEMPPANIC		0x0004	/* Kernel panic on temperature trip */
 
+#ifdef __KERNEL__
+
+#ifdef CONFIG_WATCHDOG_NOWAYOUT
+#define WATCHDOG_NOWAYOUT	1
+#else
+#define WATCHDOG_NOWAYOUT	0
+#endif
+
+#endif	/* __KERNEL__ */
+
 #endif  /* ifndef _LINUX_WATCHDOG_H */
_
